Compare commits

...
Sign in to create a new pull request.

6 commits

Author SHA1 Message Date
Fedora Release Engineering
e5e4ebff9e dist-git conversion 2010-07-29 15:58:00 +00:00
Bill Nottingham
49ddd9ea01 Fix typo that causes a failure to update the common directory. (releng
#2781)
2009-11-26 01:34:32 +00:00
d6ff1841e2 temporarily revert xmllint noent change (#488093) 2009-03-02 17:21:43 +00:00
310a2403f1 fix xmllint postvalid (added noent option), fix stringparam option
functionality, ship documentation files, spec file cleanup
2009-02-02 12:32:22 +00:00
580469bf8a fixed errorneus handling of backend stylesheet(#446092) 2008-05-13 10:16:58 +00:00
Jesse Keating
cf8acc660a Initialize branch F-9 for xmlto 2008-04-22 02:59:39 +00:00
8 changed files with 81 additions and 111 deletions

View file

View file

@ -1,21 +0,0 @@
# Makefile for source rpm: xmlto
# $Id: Makefile,v 1.1 2004/09/09 14:53:32 cvsdist Exp $
NAME := xmlto
SPECFILE = $(firstword $(wildcard *.spec))
define find-makefile-common
for d in common ../common ../../common ; do if [ -f $$d/Makefile.common ] ; then if [ -f $$d/CVS/Root -a -w $$/Makefile.common ] ; then cd $$d ; cvs -Q update ; fi ; echo "$$d/Makefile.common" ; break ; fi ; done
endef
MAKEFILE_COMMON := $(shell $(find-makefile-common))
ifeq ($(MAKEFILE_COMMON),)
# attempt a checkout
define checkout-makefile-common
test -f CVS/Root && { cvs -Q -d $$(cat CVS/Root) checkout common && echo "common/Makefile.common" ; } || { echo "ERROR: I can't figure out how to checkout the 'common' module." ; exit -1 ; } >&2
endef
MAKEFILE_COMMON := $(shell $(checkout-makefile-common))
endif
include $(MAKEFILE_COMMON)

View file

@ -0,0 +1,11 @@
diff -urNp xmlto-0.0.20-orig/xmlto.in xmlto-0.0.20/xmlto.in
--- xmlto-0.0.20-orig/xmlto.in 2008-01-17 10:39:02.000000000 +0100
+++ xmlto-0.0.20/xmlto.in 2008-05-13 12:08:35.000000000 +0200
@@ -326,6 +326,7 @@ fi
# Ask the format script what stylesheet to use.
XSLT_PROCESSOR=xsltproc # We only know about xsltproc right now.
export XSLT_PROCESSOR
+export USE_BACKEND
if [ -z "$STYLESHEET" ]
then
STYLESHEET="$(${BASH} "$FORMAT" stylesheet)" || exit 1

View file

@ -1,71 +0,0 @@
--- xmlto-0.0.18/format/docbook/fo.basename 2005-08-08 14:00:24.000000000 +0100
+++ xmlto-0.0.18/format/docbook/fo 2005-08-08 14:01:13.000000000 +0100
@@ -7,6 +7,6 @@
echo "http://docbook.sourceforge.net/release/xsl/current/fo/docbook.xsl"
;;
post-process)
- cp "$XSLT_PROCESSED" "$OUTPUT_DIR/$(basename ${XSLT_PROCESSED%.*}).fo"
+ cp "$XSLT_PROCESSED" "$OUTPUT_DIR/$(basename "${XSLT_PROCESSED%.*}").fo"
;;
esac
--- xmlto-0.0.18/format/docbook/html-nochunks.basename 2005-08-08 14:01:39.000000000 +0100
+++ xmlto-0.0.18/format/docbook/html-nochunks 2005-08-08 14:01:49.000000000 +0100
@@ -7,6 +7,6 @@
echo "http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl"
;;
post-process)
- cp "$XSLT_PROCESSED" "$OUTPUT_DIR/$(basename ${XSLT_PROCESSED%.*}).html"
+ cp "$XSLT_PROCESSED" "$OUTPUT_DIR/$(basename "${XSLT_PROCESSED%.*}").html"
;;
esac
--- xmlto-0.0.18/format/docbook/txt.basename 2005-08-08 14:02:16.000000000 +0100
+++ xmlto-0.0.18/format/docbook/txt 2005-08-08 14:02:26.000000000 +0100
@@ -29,6 +29,6 @@
echo >&2 "Convert HTML to ASCII"
fi
${CONVERT} ${ARGS} ${POSTARGS} ${XSLT_PROCESSED} > \
- "$OUTPUT_DIR/$(basename ${XSLT_PROCESSED%.*}).txt"
+ "$OUTPUT_DIR/$(basename "${XSLT_PROCESSED%.*}").txt"
;;
esac
--- xmlto-0.0.18/format/fo/dvi.basename 2005-08-08 14:02:39.000000000 +0100
+++ xmlto-0.0.18/format/fo/dvi 2005-08-08 14:02:48.000000000 +0100
@@ -29,6 +29,6 @@
[ "$VERBOSE" -ge 3 ] && cat $OUT
fi
fi
- cp -- *.dvi "$OUTPUT_DIR/$(basename ${XSLT_PROCESSED%.*}).dvi"
+ cp -- *.dvi "$OUTPUT_DIR/$(basename "${XSLT_PROCESSED%.*}").dvi"
;;
esac
--- xmlto-0.0.18/format/fo/pdf.basename 2005-08-08 14:03:01.000000000 +0100
+++ xmlto-0.0.18/format/fo/pdf 2005-08-08 14:03:08.000000000 +0100
@@ -29,6 +29,6 @@
[ "$VERBOSE" -ge 3 ] && cat $OUT
fi
fi
- cp -- *.pdf "$OUTPUT_DIR/$(basename ${XSLT_PROCESSED%.*}).pdf"
+ cp -- *.pdf "$OUTPUT_DIR/$(basename "${XSLT_PROCESSED%.*}").pdf"
;;
esac
--- xmlto-0.0.18/format/fo/ps.basename 2005-08-08 14:03:14.000000000 +0100
+++ xmlto-0.0.18/format/fo/ps 2005-08-08 14:03:23.000000000 +0100
@@ -33,6 +33,6 @@
then
echo >&2 "Post-process DVI to PS"
fi
- dvips -R -q ${POSTPOSTARGS} -o "$OUTPUT_DIR/$(basename ${XSLT_PROCESSED%.*}).ps" *.dvi
+ dvips -R -q ${POSTPOSTARGS} -o "$OUTPUT_DIR/$(basename "${XSLT_PROCESSED%.*}").ps" *.dvi
;;
esac
--- xmlto-0.0.18/xmlto.in.basename 2005-08-08 14:03:38.000000000 +0100
+++ xmlto-0.0.18/xmlto.in 2005-08-08 14:03:52.000000000 +0100
@@ -339,7 +339,7 @@
XSLT_PROCESSED="$INPUT_FILE"
else
[ "$VERBOSE" -ge 1 ] && echo >&2 "Stylesheet: ${STYLESHEET}"
- XSLT_PROCESSED="$XSLT_PROCESSED_DIR/$(basename ${INPUT_FILE%.*}).proc"
+ XSLT_PROCESSED="$XSLT_PROCESSED_DIR/$(basename "${INPUT_FILE%.*}").proc"
if [ "$VERBOSE" -gt 2 ]
then

View file

@ -1,12 +0,0 @@
diff -urNp xmlto-0.0.18.orig/xmlto.in xmlto-0.0.18/xmlto.in
--- xmlto-0.0.18.orig/xmlto.in 2004-01-02 13:03:24.000000000 +0100
+++ xmlto-0.0.18/xmlto.in 2007-10-08 13:48:22.000000000 +0200
@@ -47,7 +47,7 @@ determined automatically).
EOF
if [ -d "$FORMAT_DIR" ]
then
- for source in $(${FIND} "$FORMAT_DIR" -type d -maxdepth 1)
+ for source in $(${FIND} "$FORMAT_DIR" -maxdepth 1 -type d)
do
if [ "$source" = "$FORMAT_DIR" ]; then continue; fi

23
xmlto-stringparam.patch Normal file
View file

@ -0,0 +1,23 @@
diff -urNp xmlto-0.0.20-orig/THANKS xmlto-0.0.20/THANKS
--- xmlto-0.0.20-orig/THANKS 2008-01-15 13:56:45.000000000 +0100
+++ xmlto-0.0.20/THANKS 2009-02-02 13:03:10.000000000 +0100
@@ -9,3 +9,4 @@ Tommy Reynolds <tommy.reynolds@megacoder
Coleman Kane <cokane@cokane.org>
Shlomi Fish <shlomif@gmail.com>
Braden McDaniel <braden@endoframe.com>
+Joseph Parmelee <jparmele@wildbear.com>
diff -urNp xmlto-0.0.20-orig/xmlto.in xmlto-0.0.20/xmlto.in
--- xmlto-0.0.20-orig/xmlto.in 2009-02-02 13:00:17.000000000 +0100
+++ xmlto-0.0.20/xmlto.in 2009-02-02 13:02:41.000000000 +0100
@@ -241,8 +241,8 @@ while [ "$#" -gt "0" ]; do
;;
--stringparam)
MYPARAM="$2"
- XSLTPARAMS="XSLTPARAMS --stringparam ${MYPARAM%=*}"
- XSLTPARAMS="XSLTPARAMS $MYPARAM#*=}"
+ XSLTPARAMS="$XSLTPARAMS --stringparam ${MYPARAM%=*}"
+ XSLTPARAMS="$XSLTPARAMS ${MYPARAM#*=}"
shift 2
;;
--noclean)
Binární soubory xmlto-0.0.20-orig/.xmlto.in.swp a xmlto-0.0.20/.xmlto.in.swp jsou různé

View file

@ -0,0 +1,15 @@
diff -urNp xmlto-0.0.20-orig/xmlto.in xmlto-0.0.20/xmlto.in
--- xmlto-0.0.20-orig/xmlto.in 2009-02-02 13:23:06.000000000 +0100
+++ xmlto-0.0.20/xmlto.in 2009-02-02 13:27:50.000000000 +0100
@@ -372,8 +372,9 @@ if [ "$SKIP_VALIDATION" -eq 0 ] && [ "$S
then
VALIDATION="${XSLT_PROCESSED_DIR}/validation-errors"
[ "$VERBOSE" -ge 1 ] && \
- echo >&2 "xmllint >/dev/null --xinclude --postvalid \"$INPUT_FILE\""
- xmllint >/dev/null --xinclude --postvalid "$INPUT_FILE" 2>"${VALIDATION}"
+ echo >&2 "xmllint >/dev/null --xinclude --postvalid --noent \"$INPUT_FILE\""
+ xmllint >/dev/null --xinclude --postvalid --noent \
+ "$INPUT_FILE" 2>"${VALIDATION}"
xmllint_status=$?
if [ $xmllint_status -ne 0 ]
then

View file

@ -1,13 +1,20 @@
%{!?tetex:%define tetex 1}
Summary: A tool for converting XML files to various formats.
Summary: A tool for converting XML files to various formats
Name: xmlto
Version: 0.0.20
Release: 2%{?dist}
License: GPLv2
Release: 5%{?dist}
#xmlto is released under GPLv2+ license, xmlif under GPL+ license
License: GPLv2+ and GPL+
Group: Applications/System
#Newer versions above xmlto-0.0.20 at https://fedorahosted.org/xmlto/
URL: http://cyberelk.net/tim/xmlto/
Source0: http://cyberelk.net/tim/data/xmlto/stable/%{name}-%{version}.tar.bz2
Patch1: xmlto-backendstylesheet.patch
Patch2: xmlto-stringparam.patch
#Patch3: xmlto-xmllintoptions.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: docbook-xsl >= 1.56.0
@ -33,27 +40,45 @@ stylesheets.
%prep
%setup -q
%patch1 -p1 -b .backendstylesheet
%patch2 -p1 -b .stringparam
#%patch3 -p1 -b .xmllintoptions
%build
touch doc/xmlto.xml doc/xmlif.xml
%configure
make
make %{?_smp_mflags}
%check
make check
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
make install DESTDIR=$RPM_BUILD_ROOT
%clean
rm -rf $RPM_BUILD_ROOT
%files
%defattr(-,root,root)
%defattr(-,root,root,-)
%doc COPYING ChangeLog README AUTHORS NEWS
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/xmlto
%changelog
* Mon Mar 02 2009 Ondrej Vasik <ovasik@redhat.com> - 0.0.20-5
- temporarily revert xmllint noent change (#488093)
* Mon Feb 02 2009 Ondrej Vasik <ovasik@redhat.com> - 0.0.20-4
- fix xmllint postvalid (added noent option)
- fix stringparam option functionality
- ship documentation files, spec file cleanup
* Tue May 13 2008 Ondrej Vasik <ovasik@redhat.com> - 0.0.20-3
- fixed errorneus handling of backend stylesheet(#446092)
- removed unused patches
* Mon Feb 11 2008 Ondrej Vasik <ovasik@redhat.com> - 0.0.20-2
- gcc4.3 rebuild
@ -62,7 +87,7 @@ rm -rf $RPM_BUILD_ROOT
- added experimental fop support(additional output formats)
- possibility to read stylesheet from STDIN, using recursive
cp in docbook formats, updated man pages
* Wed Nov 28 2007 Ondrej Vasik <ovasik@redhat.com> - 0.0.19-1
- new version 0.0.19
- added dist tag